import { OnInit, OnChanges, SimpleChanges, ChangeDetectorRef, ElementRef } from "@angular/core";
import { CometChat } from "@cometchat-pro/chat";
import { CometChatMessagesComponent } from "../../CometChatMessages/cometchat-messages/cometchat-messages.component";
import { CometChatConversationsComponent } from "../../CometChatConversations/cometchat-conversations/cometchat-conversations.component";
import { WithMessagesStyle, MessagesConfiguration, ConversationsConfiguration } from 'uikit-utils-lerna';
import { CometChatTheme } from 'uikit-resources-lerna';
import 'my-cstom-package-lit';
import { Subscription } from "rxjs";
import { CometChatThemeService } from "../../CometChatTheme.service";
import * as i0 from "@angular/core";
/**
*
* CometChatConversationsWithMessagesComponent is a wrapper component for CometChatMessagesComponent and CometChatConversations component to show chats and messages in one screen
*
* @version 1.0.0
* @author CometChatTeam
* @copyright © 2022 CometChat Inc.
*
*/
export declare class CometChatConversationsWithMessagesComponent implements OnInit, OnChanges {
    private elementRef;
    private ref;
    private themeService;
    conversationRef: CometChatConversationsComponent;
    messageListRef: CometChatMessagesComponent;
    user: CometChat.User | null;
    group: CometChat.Group | null;
    isMobileView: boolean;
    messageText: string;
    conversationsWithMessagesStyle: WithMessagesStyle;
    messagesConfiguration: MessagesConfiguration;
    conversationConfiguration: ConversationsConfiguration;
    onError: ((error: any) => void) | null;
    theme: CometChatTheme;
    /**
     * Properties for internal use
     */
    loggedInUser: CometChat.User | null;
    activeConversation: CometChat.Conversation | null;
    labelStyle: any;
    hideSearch: boolean;
    /**
    * Events
    */
    ccGroupMemberAdded: Subscription;
    ccGroupLeft: Subscription;
    ccGroupMemberJoined: Subscription;
    ccGroupMemberKicked: Subscription;
    ccGroupMemberBanned: Subscription;
    ccOwnershipChanged: Subscription;
    ccGroupDeleted: Subscription;
    ccConversationDeleted: Subscription;
    constructor(elementRef: ElementRef, ref: ChangeDetectorRef, themeService: CometChatThemeService);
    ngOnChanges(changes: SimpleChanges): void;
    onBack: () => void;
    setWithMessagesStyle(): void;
    onItemClick: ((conversation: CometChat.Conversation) => void);
    ngAfterViewInit(): void;
    updateBackdropHeight(): void;
    setActiveChat(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    subscribeToEvents(): void;
    unsubscribeToEvents(): void;
    /**
     * remove active chat screen after deleting the conversation.
     * @param  {CometChat.Conversation} conversation
     */
    removeActiveChatList(conversation: CometChat.Conversation): void;
    emptyMessageStyle: () => {
        background: string | undefined;
        height: string | undefined;
        width: string;
        border: string | undefined;
        borderRadius: string | undefined;
    };
    chatsWrapperStyles: () => {
        height: string | undefined;
        width: string | undefined;
        border: string | undefined;
        borderRadius: string | undefined;
        background: string | undefined;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<CometChatConversationsWithMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CometChatConversationsWithMessagesComponent, "cometchat-conversations-with-messages", never, { "user": "user"; "group": "group"; "isMobileView": "isMobileView"; "messageText": "messageText"; "conversationsWithMessagesStyle": "conversationsWithMessagesStyle"; "messagesConfiguration": "messagesConfiguration"; "conversationConfiguration": "conversationConfiguration"; "onError": "onError"; }, {}, never, never>;
}
