import { OnInit, ChangeDetectorRef, TemplateRef, OnChanges, SimpleChanges } from "@angular/core";
import { Subscription } from "rxjs";
import 'my-cstom-package-lit';
import { AvatarStyle, ConfirmDialogStyle, ListItemStyle } from 'my-cstom-package-lit';
import { AddMembersConfiguration, BannedMembersConfiguration, DetailsStyle, GroupMembersConfiguration, SelectionMode, TransferOwnershipConfiguration, BaseStyle } from "uikit-utils-lerna";
import { CometChatDetailsOption, CometChatDetailsTemplate } from 'uikit-resources-lerna';
import { CometChat } from "@cometchat-pro/chat";
import { CometChatThemeService } from "../../CometChatTheme.service";
import * as i0 from "@angular/core";
/**
*
* CometChatDetailsComponent renders details of user or group.
*
* @version 1.0.0
* @author CometChatTeam
* @copyright © 2022 CometChat Inc.
*
*/
export declare class CometChatDetailsComponent implements OnInit, OnChanges {
    private ref;
    private themeService;
    group: CometChat.Group;
    user: CometChat.User;
    title: string;
    closeButtonIconURL: string;
    hideProfile: boolean;
    subtitleView: TemplateRef<any>;
    customProfileView: TemplateRef<any>;
    data: CometChatDetailsTemplate[];
    disableUsersPresence: boolean;
    privateGroupIcon: string;
    protectedGroupIcon: string;
    onError: ((error: any) => void) | null;
    onClose: () => void;
    leaveButtonText: string;
    cancelButtonText: string;
    confirmDialogMessage: string;
    addMembersConfiguration: AddMembersConfiguration;
    bannedMembersConfiguration: BannedMembersConfiguration;
    groupMembersConfiguration: GroupMembersConfiguration;
    transferOwnershipConfiguration: TransferOwnershipConfiguration;
    leaveDialogStyle: ConfirmDialogStyle;
    backiconurl: string;
    statusIndicatorStyle: any;
    backdropStyle: BaseStyle;
    avatarStyle: AvatarStyle;
    detailsStyle: DetailsStyle;
    listItemStyle: ListItemStyle;
    leaveGroupText: string;
    leaveGroupMessage: string;
    transferText: string;
    transferConfirm: string;
    defaultTemplate: CometChatDetailsTemplate[];
    loggedInUser: CometChat.User | null;
    openViewMembersPage: boolean;
    openBannedMembersPage: boolean;
    openAddMembersPage: boolean;
    confirmLeaveGroupModal: boolean;
    openTransferOwnershipModal: boolean;
    selectionmodeEnum: SelectionMode;
    ccGroupMemberAdded: Subscription;
    ccGroupMemberJoined: Subscription;
    ccGroupMemberKicked: Subscription;
    ccGroupMemberBanned: Subscription;
    ccOwnershipChanged: Subscription;
    statusColor: any;
    closeButtonStyle: any;
    buttonStyle: any;
    dividerStyle: any;
    getTitleStyle(): {
        textFont: string;
        textColor: string | undefined;
    };
    getCustomOptionView(option: CometChatDetailsOption): any;
    subtitleText: string;
    userListenerId: string;
    constructor(ref: ChangeDetectorRef, themeService: CometChatThemeService);
    ngOnChanges(changes: SimpleChanges): void;
    getTemplate(): void;
    removeListener(): void;
    ngOnDestroy(): void;
    ngOnInit(): void;
    subscribeToEvents(): void;
    unsubscribeToEvents(): void;
    checkStatusType: () => any;
    updateSubtitle(): void;
    getButtonStyle(option: CometChatDetailsOption): {
        height: string;
        width: string;
        border: string;
        borderRadius: string;
        buttonTextFont: string | undefined;
        buttonTextColor: string | undefined;
        background: string;
    };
    checkGroupType(): string;
    updateUserStatus(user: CometChat.User): void;
    attachListeners(): void;
    getSectionHeaderStyle(template: CometChatDetailsTemplate): {
        textFont: string | undefined;
        textColor: string | undefined;
    };
    onOptionClick(option: CometChatDetailsOption): void;
    onLeaveClick(): void;
    createActionMessage(actionOn: CometChat.GroupMember, action: string): CometChat.Action;
    createUserLeftAction(actionOn: CometChat.User, action: string): CometChat.Action;
    onCloseClick: () => void;
    onCancelClick(): void;
    blockUser(): void;
    unBlockUser(): void;
    viewMembers: () => void;
    addMembers: () => void;
    bannedMembers: () => void;
    leaveGroup(): void;
    deleteGroup(): void;
    openTransferOwnership: () => void;
    onCloseDetails(): void;
    subtitleStyle: () => {
        textFont: string | undefined;
        textColor: string | undefined;
    };
    /**
   * @param  {CometChat.Group} group
   */
    getGroupIcon: (group: CometChat.Group) => string | null | undefined;
    /**
 * @param  {CometChat.Group} group
 */
    getStatusIndicatorColor(group: CometChat.Group): any;
    getTemplateOptions: (template: CometChatDetailsTemplate) => CometChatDetailsOption[];
    setThemeStyle(): void;
    setConfirmDialogStyle(): void;
    setListItemStyle(): void;
    setAvatarStyle(): void;
    setStatusStyle(): void;
    setDetailsStyle(): void;
    wrapperStyle: () => {
        width: string | undefined;
        height: string | undefined;
        border: string | undefined;
        borderRadius: string | undefined;
        background: string | undefined;
    };
    marginStyle: () => {
        padding: string | undefined;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<CometChatDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CometChatDetailsComponent, "cometchat-details", never, { "group": "group"; "user": "user"; "title": "title"; "closeButtonIconURL": "closeButtonIconURL"; "hideProfile": "hideProfile"; "subtitleView": "subtitleView"; "customProfileView": "customProfileView"; "data": "data"; "disableUsersPresence": "disableUsersPresence"; "privateGroupIcon": "privateGroupIcon"; "protectedGroupIcon": "protectedGroupIcon"; "onError": "onError"; "onClose": "onClose"; "leaveButtonText": "leaveButtonText"; "cancelButtonText": "cancelButtonText"; "confirmDialogMessage": "confirmDialogMessage"; "addMembersConfiguration": "addMembersConfiguration"; "bannedMembersConfiguration": "bannedMembersConfiguration"; "groupMembersConfiguration": "groupMembersConfiguration"; "transferOwnershipConfiguration": "transferOwnershipConfiguration"; "leaveDialogStyle": "leaveDialogStyle"; "statusIndicatorStyle": "statusIndicatorStyle"; "backdropStyle": "backdropStyle"; "avatarStyle": "avatarStyle"; "detailsStyle": "detailsStyle"; "listItemStyle": "listItemStyle"; }, {}, never, never>;
}
