import { OnInit, ChangeDetectorRef, TemplateRef, OnChanges, SimpleChanges } from '@angular/core';
import { CometChat } from '@cometchat-pro/chat';
import { ListItemStyle, AvatarStyle, BaseStyle } from 'my-cstom-package-lit';
import { Subscription } from 'rxjs';
import { CometChatTheme } from 'uikit-resources-lerna';
import { MessageHeaderStyle } from 'uikit-utils-lerna';
import { CometChatThemeService } from '../../CometChatTheme.service';
import * as i0 from "@angular/core";
/**
*
* CometChatMessageHeader is a used to render listitem component.
*
* @version 1.0.0
* @author CometChatTeam
* @copyright © 2022 CometChat Inc.
*
*/
export declare class CometChatMessageHeaderComponent implements OnInit, OnChanges {
    private ref;
    private themeService;
    avatarStyle: AvatarStyle;
    statusIndicatorStyle: BaseStyle;
    messageHeaderStyle: MessageHeaderStyle;
    listItemStyle: ListItemStyle;
    subtitleView: any;
    disableUsersPresence: boolean;
    disableTyping: boolean;
    protectedGroupIcon: string;
    privateGroupIcon: string;
    menu: any;
    user: CometChat.User;
    group: CometChat.Group;
    backButtonIconURL: string;
    hideBackButton: boolean;
    listItemView: TemplateRef<any>;
    onError: (error: any) => void;
    onBack: () => void;
    msgListenerId: string;
    groupsListenerId: string;
    userListenerId: string;
    subtitleText: string;
    loggedInUser: CometChat.User;
    isTyping: boolean;
    theme: CometChatTheme;
    ccGroupMemberAdded: Subscription;
    ccGroupLeft: Subscription;
    ccGroupMemberJoined: Subscription;
    ccGroupMemberKicked: Subscription;
    ccGroupMemberBanned: Subscription;
    ccOwnershipChanged: Subscription;
    constructor(ref: ChangeDetectorRef, themeService: CometChatThemeService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    subscribeToEvents(): void;
    unsubscribeToEvents(): void;
    setListItemStyle(): void;
    setAvatarStyle(): void;
    setStatusStyle(): void;
    setHeadersStyle(): void;
    statusColor: any;
    backButtonStyle: any;
    checkStatusType: () => any;
    onBackClicked(): void;
    updateSubtitle(): void;
    getSubtitleView(): any;
    checkGroupType(): string;
    updateUserStatus(user: CometChat.User): void;
    attachListeners(): void;
    removeListener(): void;
    ngOnDestroy(): void;
    setTypingIndicatorText: (typing: CometChat.TypingIndicator) => void;
    headerStyle: () => {
        width: string | undefined;
        height: string | undefined;
        border: string | undefined;
        borderRadius: string | undefined;
        background: string | undefined;
    };
    subtitleStyle: () => {
        textFont: string | undefined;
        textColor: string | undefined;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<CometChatMessageHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CometChatMessageHeaderComponent, "cometchat-message-header", never, { "avatarStyle": "avatarStyle"; "statusIndicatorStyle": "statusIndicatorStyle"; "messageHeaderStyle": "messageHeaderStyle"; "listItemStyle": "listItemStyle"; "subtitleView": "subtitleView"; "disableUsersPresence": "disableUsersPresence"; "disableTyping": "disableTyping"; "protectedGroupIcon": "protectedGroupIcon"; "privateGroupIcon": "privateGroupIcon"; "menu": "menu"; "user": "user"; "group": "group"; "backButtonIconURL": "backButtonIconURL"; "hideBackButton": "hideBackButton"; "listItemView": "listItemView"; "onError": "onError"; "onBack": "onBack"; }, {}, never, never>;
}
