import { OnInit, OnChanges, SimpleChanges, ChangeDetectorRef, TemplateRef } from "@angular/core";
import { CometChat } from "@cometchat-pro/chat";
import { CometChatMessageComposerComponent } from "../../CometChatMessageComposer/cometchat-message-composer/cometchat-message-composer.component";
import { CometChatMessageListComponent } from "../../CometChatMessageList/cometchat-message-list/cometchat-message-list.component";
import { AvatarStyle, ListItemStyle, BaseStyle } from 'my-cstom-package-lit';
import { Subscription } from "rxjs";
import { CometChatThemeService } from "../../CometChatTheme.service";
import { MessageListConfiguration, MessageComposerConfiguration, ThreadedMessagesStyle, MessageComposerStyle } from "uikit-utils-lerna";
import * as i0 from "@angular/core";
/**
*
* CometChatThreadedMessagesComponent is a wrapper component for messageList, messageBubble, messageComposer  component.
*
* @version 1.0.0
* @author CometChatTeam
* @copyright © 2022 CometChat Inc.
*
*/
export declare class CometChatThreadedMessagesComponent implements OnInit, OnChanges {
    private ref;
    private themeService;
    messageComposerRef: CometChatMessageComposerComponent;
    messageListRef: CometChatMessageListComponent;
    onClose: (() => void) | null;
    onError: ((error: any) => void) | null;
    parentMessage: any;
    title: string;
    closeIconURL: string;
    bubbleView: TemplateRef<any>;
    messageActionView: TemplateRef<any>;
    messageListConfiguration: MessageListConfiguration;
    messageComposerConfiguration: MessageComposerConfiguration;
    threadedMessagesStyle: ThreadedMessagesStyle;
    user: CometChat.User;
    group: CometChat.Group;
    loggedInUser: CometChat.User | null;
    limit: number;
    requestBuilder: CometChat.MessagesRequestBuilder;
    composerStyles: MessageComposerStyle;
    avatarStyle: AvatarStyle;
    statusIndicatorStyle: BaseStyle;
    listItemStyle: ListItemStyle;
    actionButtonStyle: any;
    buttonStyle: any;
    titleStyle: any;
    ccMessageSent: Subscription;
    ccMessageEdited: Subscription;
    ccMessageDeleted: Subscription;
    ccMessageRead: Subscription;
    msgListenerId: string;
    constructor(ref: ChangeDetectorRef, themeService: CometChatThemeService);
    ngOnInit(): void;
    ngOnChanges(change: SimpleChanges): void;
    ngOnDestroy(): void;
    updateMessage(message: CometChat.BaseMessage): void;
    updateReceipt(messageReceipt: CometChat.MessageReceipt): void;
    addMessageEventListeners(): void;
    getThreadCount(): string;
    subscribeToEvents(): void;
    unsubscribeToEvents(): void;
    closeView(): void;
    setThreadedMessagesStyle(): void;
    setTheme(): void;
    wrapperStyle(): {
        background: string | undefined;
        height: string | undefined;
        width: string | undefined;
        border: string | undefined;
        borderRadius: string | undefined;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<CometChatThreadedMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CometChatThreadedMessagesComponent, "cometchat-threaded-messages", never, { "onClose": "onClose"; "onError": "onError"; "parentMessage": "parentMessage"; "title": "title"; "closeIconURL": "closeIconURL"; "bubbleView": "bubbleView"; "messageActionView": "messageActionView"; "messageListConfiguration": "messageListConfiguration"; "messageComposerConfiguration": "messageComposerConfiguration"; "threadedMessagesStyle": "threadedMessagesStyle"; }, {}, never, never>;
}
