import { DataSourceDecorator } from "../../Shared/Framework/DataSourceDecorator";
import { CometChatMessageTemplate } from "uikit-resources-lerna";
import { CometChat } from '@cometchat-pro/chat';
import { StickersConfiguration } from 'uikit-utils-lerna';
import { DataSource } from "../../Shared/Framework/DataSource";
import { ComposerId } from "../../Shared/Utils/MessageUtils";
export declare class StickersExtensionDecorator extends DataSourceDecorator {
    configuration?: StickersConfiguration;
    newDataScorce: DataSource;
    constructor(dataSource: DataSource, configuration?: StickersConfiguration);
    getDataScorce(): DataSource;
    sendStickerMessage: (sticker: {
        name: string;
        url: string;
    }, loggedInUser: CometChat.User, user: CometChat.User, group: CometChat.Group, parentMessageid: number, onError: ((error: any) => void) | null | undefined, customSoundForMessages?: string, disableSoundForMessages?: boolean) => void;
    getAllMessageTemplates(): CometChatMessageTemplate[];
    getAuxiliaryOptions(id: ComposerId, user?: CometChat.User, group?: CometChat.Group): {
        configuration: StickersConfiguration | undefined;
        id: string;
    };
    getStickerTemplate(): CometChatMessageTemplate;
    checkIfTemplateExist(template: CometChatMessageTemplate[], type: string): boolean;
    getAllMessageCategories(): string[];
    getAllMessageTypes(): string[];
    getId(): string;
    getLastConversationMessage(conversation: CometChat.Conversation, loggedInUser: CometChat.User): string;
}
